GSS_TEST_OID_SET_MEMBER(3)

NAME
gss_test_oid_set_member - Determines whether an object identifier is a member of a set

SYNOPSIS
#include <gssapi/gssapi.h>
OM_uint32
gss_test_oid_set_member(OM_uint32 *minor_status, const gss_OID member, const gss_OID_set set, int *present);

DESCRIPTION
Interrogate an Object Identifier set to determine whether a specified Object Identifier is a member. This routine is intended to be used with OID sets returned by gss_indicate_mechs(), gss_acquire_cred(), and gss_inquire_cred(), but will also work with user-generated sets.

PARAMETERS

minor_status
    Mechanism specific status code.

member
    The object identifier whose presence is to be tested.

set The Object Identifier set.

present
    Non-zero if the specified OID is a member of the set, zero if not.

RETURN VALUES

GSS_S_COMPLETE
    Successful completion

SEE ALSO
gss_indicate_mechs(3), gss_acquire_cred(3), gss_inquire_cred(3)

STANDARDS

RFC 2743
    Generic Security Service Application Program Interface Version 2, Update 1

RFC 2744
    Generic Security Service API Version 2 : C-bindings

HISTORY
The gss_test_oid_set_member function first appeared in FreeBSD 7.0.

AUTHORS
John Wray, Iris Associates

COPYRIGHT
Copyright (C) The Internet Society (2000). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to the Internet Society or other Internet organizations, except as needed for the purpose of developing Internet standards in which case the procedures for copyrights defined in the Internet Standards process must be followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by the Internet Society or its successors or assigns.

This document and the information contained herein is provided on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.